unit ICComponentUtils;

(* Start Header *)

(* File:         ICComponentUtils.p
 * Generated by: 1.0d5
 * For:          IC 1.4
 * On:           Sunday, 14 September 1997, 21:17:55
 * 
 * This file is part of the Internet Configuration system and
 * is placed in the public domain for the benefit of all.
 *)

(* End Header *)

(* This unit holds the selectors for the IC component.  I've moved this into a unit so
	that the override components can access this information without having to
	duplicate it.
*)

interface

	uses
		Types,
		ICComponentSelectors;
		
	function SelectorToStr (what: integer): Str32;
	(* This routine converts a IC component into its corresponding identifier
		string.  It is great for debugging because you don't have to remember
		what all of those random selectors are.
	*)

implementation

	uses
		Components;

	function SelectorToStr (what: integer): Str32;
		(* See comment in interface part. *)
	begin
		case what of
			(* Component Manager stuff *)
			kComponentVersionSelect: 
				SelectorToStr := 'kComponentVersionSelect';
			kComponentCanDoSelect: 
				SelectorToStr := 'kComponentCanDoSelect';
			kComponentOpenSelect: 
				SelectorToStr := 'kComponentOpenSelect';
			kComponentCloseSelect: 
				SelectorToStr := 'kComponentCloseSelect';
			kComponentTargetSelect: 
				SelectorToStr := 'kComponentTargetSelect';
			kComponentRegisterSelect: 
				SelectorToStr := 'kComponentRegisterSelect';
			kComponentUnregisterSelect: 
				SelectorToStr := 'kComponentUnregisterSelect';
			(* this component type stuff *)
(* Start ICCSel.p1 *)

    kICCStart: 
      SelectorToStr := 'kICCStart';
    kICCStop: 
      SelectorToStr := 'kICCStop';
    kICCFindConfigFile: 
      SelectorToStr := 'kICCFindConfigFile';
    kICCFindUserConfigFile: 
      SelectorToStr := 'kICCFindUserConfigFile';
    kICCGeneralFindConfigFile: 
      SelectorToStr := 'kICCGeneralFindConfigFile';
    kICCChooseConfig: 
      SelectorToStr := 'kICCChooseConfig';
    kICCChooseNewConfig: 
      SelectorToStr := 'kICCChooseNewConfig';
    kICCGetConfigName: 
      SelectorToStr := 'kICCGetConfigName';
    kICCGetConfigReference: 
      SelectorToStr := 'kICCGetConfigReference';
    kICCSetConfigReference: 
      SelectorToStr := 'kICCSetConfigReference';
    kICCSpecifyConfigFile: 
      SelectorToStr := 'kICCSpecifyConfigFile';
    kICCGetSeed: 
      SelectorToStr := 'kICCGetSeed';
    kICCGetPerm: 
      SelectorToStr := 'kICCGetPerm';
    kICCDefaultFileName: 
      SelectorToStr := 'kICCDefaultFileName';
    kICCBegin: 
      SelectorToStr := 'kICCBegin';
    kICCGetPref: 
      SelectorToStr := 'kICCGetPref';
    kICCSetPref: 
      SelectorToStr := 'kICCSetPref';
    kICCFindPrefHandle: 
      SelectorToStr := 'kICCFindPrefHandle';
    kICCGetPrefHandle: 
      SelectorToStr := 'kICCGetPrefHandle';
    kICCSetPrefHandle: 
      SelectorToStr := 'kICCSetPrefHandle';
    kICCCountPref: 
      SelectorToStr := 'kICCCountPref';
    kICCGetIndPref: 
      SelectorToStr := 'kICCGetIndPref';
    kICCDeletePref: 
      SelectorToStr := 'kICCDeletePref';
    kICCEnd: 
      SelectorToStr := 'kICCEnd';
    kICCEditPreferences: 
      SelectorToStr := 'kICCEditPreferences';
    kICCParseURL: 
      SelectorToStr := 'kICCParseURL';
    kICCLaunchURL: 
      SelectorToStr := 'kICCLaunchURL';
    kICCMapFilename: 
      SelectorToStr := 'kICCMapFilename';
    kICCMapTypeCreator: 
      SelectorToStr := 'kICCMapTypeCreator';
    kICCMapEntriesFilename: 
      SelectorToStr := 'kICCMapEntriesFilename';
    kICCMapEntriesTypeCreator: 
      SelectorToStr := 'kICCMapEntriesTypeCreator';
    kICCCountMapEntries: 
      SelectorToStr := 'kICCCountMapEntries';
    kICCGetIndMapEntry: 
      SelectorToStr := 'kICCGetIndMapEntry';
    kICCGetMapEntry: 
      SelectorToStr := 'kICCGetMapEntry';
    kICCSetMapEntry: 
      SelectorToStr := 'kICCSetMapEntry';
    kICCDeleteMapEntry: 
      SelectorToStr := 'kICCDeleteMapEntry';
    kICCAddMapEntry: 
      SelectorToStr := 'kICCAddMapEntry';

(* End ICCSel.p1 *)
			otherwise
				SelectorToStr := 'other';
		end; (* case *)
	end; (* SelectorToStr *)

end. (* ICComponentUtils *)
